import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
import VxeCheckboxComponent from "./src/checkbox.mjs";
import { dynamicApp } from "../dynamics/index.mjs";
const VxeCheckbox = Object.assign(VxeCheckboxComponent, {
  install(app) {
    app.component(VxeCheckboxComponent.name, VxeCheckboxComponent);
  }
});
dynamicApp.use(VxeCheckbox);
VxeUI.component(VxeCheckboxComponent);
const Checkbox = VxeCheckbox;
export {
  Checkbox,
  VxeCheckbox,
  VxeCheckbox as default
};
